using Blazored.LocalStorage;
using Microsoft.AspNetCore.Components.WebAssembly.Hosting;
using RsaWebapp.Shared.Services;
namespace RsaWebapp.Client
{
    internal class Program
    {
        static async Task Main(string[] args)
        {
            var builder = WebAssemblyHostBuilder.CreateDefault(args);
            builder.Services.AddScoped(http => new HttpClient
            {
                BaseAddress = new Uri(builder.HostEnvironment.BaseAddress),
            });
            builder.Services.AddScoped<IUartService, ClientUartService>();
            builder.Services.AddScoped<IUserService, ClientUserService>();
            builder.Services.AddScoped<IFpgaService, FpgaService>();

            builder.Services.AddBlazoredLocalStorage();
            builder.Services.AddBlazorBootstrap();
            await builder.Build().RunAsync();
        }
    }
}
