﻿using System.ComponentModel.DataAnnotations;

namespace RsaWebapp.Shared.Entities.Validators;

public class UsernameValidator : ValidationAttribute
{
    protected override ValidationResult IsValid(object value,
        ValidationContext validationContext)
    {
        if(value.ToString() == string.Empty)
            return new ValidationResult($"Nazwa użytkownika nie może być pusta",
                new[] { validationContext.MemberName });
        string username = value.ToString()!;
        
        if(username.Length < 3)
            return new ValidationResult($"Nazwa użytkownika musi być dłuższa niż 2 znaki",
                new[] { validationContext.MemberName });

        return null;
    }
}

public class PasswordValidator : ValidationAttribute
{
    protected override ValidationResult IsValid(object value,
        ValidationContext validationContext)
    {
        if(value.ToString() == string.Empty)
            return new ValidationResult($"Hasło nie może być puste",
                new[] { validationContext.MemberName });
        string password = value.ToString()!;
        
        if(password.Length < 5)
            return new ValidationResult($"Haslo musi być dłuższe niż 4 znaki",
                new[] { validationContext.MemberName });

        return null;
    }
}