﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace RsaWebapp.Shared.Entities.Validators
{
    public class RsaDetailsValidator : ValidationAttribute {

        protected override ValidationResult IsValid(object value,
            ValidationContext validationContext)
        {
            int num = int.Parse(value.ToString());
            if(IsPrime(num))
                return null;
            return new ValidationResult($"{num} nie jest liczbą pierwszą",
            new[] { validationContext.MemberName });
        }
        private static bool IsPrime(int number)
        {
            if (number <= 1) return false;
            if (number == 2) return true;
            if (number % 2 == 0) return false;

            var boundary = (int)Math.Floor(Math.Sqrt(number));

            for (int i = 3; i <= boundary; i += 2)
                if (number % i == 0)
                    return false;

            return true;
        }
    }
}
