﻿using RsaWebapp.Shared.Entities;
using System;
using System.Collections.Generic;
using System.Collections.Specialized;
using System.ComponentModel;
using System.Linq;
using System.Linq.Expressions;
using System.Net.Http.Json;
using System.Net.Mime;
using System.Text;
using System.Threading.Tasks;

namespace RsaWebapp.Shared.Services
{
    public class ClientUartService : IUartService
    {
        private readonly HttpClient _httpClient;
        public ClientUartService(HttpClient httpClient)
        {
            _httpClient = httpClient;
        }

        public async Task<bool> GetUartStatus(string port)
        {
            var result = await _httpClient
                .GetFromJsonAsync<bool>($"api/uart/port/{port}");

            return result;

        }

        public async Task<List<string>> GetAvailablePorts()
        {
            var result = await _httpClient.GetFromJsonAsync<List<string>>($"/api/uart/ports");
            return result;
        }
        
        
    }
}
