﻿using RsaWebapp.Shared.Entities;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Net.Http.Json;
using System.Text;
using System.Threading.Tasks;

namespace RsaWebapp.Shared.Services
{
	public class ClientUserService : IUserService
	{
		private readonly HttpClient _httpClient;

		public ClientUserService(HttpClient httpClient)
		{
			_httpClient = httpClient;
		}

		public async Task<User> Register(RegisterResource resource)
		{
			var result = await _httpClient.PostAsJsonAsync("/api/user/register", resource);
			return await result.Content.ReadFromJsonAsync<User>();
				
		}

		public async Task<User> Login(LoginResource resource)
		{
			var result = await _httpClient.PostAsJsonAsync("/api/user/login", resource);
			return await result.Content.ReadFromJsonAsync<User>();

		}

		public async Task<User> GetUser(int id)
		{
			var result = await _httpClient.GetFromJsonAsync<User>($"/api/user/{id}");
			return result;
		}
        public async Task<int> SavePcKey(UserKeyContainer container)
        {
            return 0;
        }
        public async Task<List<RsaKeys>> GetUserRsaKeys(int userId)
		{
			return null;
		}
		public async Task DeleteUserKey(int keyId)
		{
			throw new NotImplementedException();
		}
        public List<RsaKeys> GetAllRsaKeys()
		{
			throw new NotImplementedException();
		}

		public Task<bool> TryDownloadUserKey(int keyId, bool privateKey)
		{
			throw new NotImplementedException();
		}
	}
}
