﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Security.Cryptography;
using System.Text;
using System.Threading.Tasks;
using RsaWebapp.Shared.Entities;
namespace RsaWebapp.Shared.Services
{
    public interface IRsaService
    {
        string GenerateKeys(RsaDetails rsaDetails);
        RandomKeyContainer GenerateRandomKeyOnPc();
        Task<RandomKeyContainer> GenerateRandomKeyOnFpga(RsaDetails rsaDetails);
        byte[] EncryptMessageOnPc(string message, RsaKeys key);
        Task<EncryptedValue> EncryptMessageOnFpga(string message, RsaKeys key);
        Task<byte[]> DecryptMessageOnFpga(string message, RsaKeys key);
        byte[] DecryptMessage(byte[] message, RsaKeys key);
        RsaKeys ConvertKeyContainerToRsaKeys(IKeyContainer container);
    }
        

 }

