﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.IO.Ports;
using System.Diagnostics;
using RsaWebapp.Shared.Entities;
using Blazored.LocalStorage;
namespace RsaWebapp.Shared.Services
{
    public class UartService : IUartService
    {
        private SerialPort _serialPort;
        private string? _chosenSerialPort;
        private readonly ILocalStorageService _localStorage;
        public UartService(ILocalStorageService localStorage)
        {
            _localStorage = localStorage;
        }
        public async Task<bool> GetUartStatus(string port)
        {
            _chosenSerialPort = port;
            if(_chosenSerialPort == null || _chosenSerialPort == String.Empty)
                return false;
            if (!SerialPort.GetPortNames().Contains(_chosenSerialPort))
                return false;
            if (_serialPort == null)
            {
                _serialPort = new SerialPort(_chosenSerialPort);
                return true;
            }
            if (_chosenSerialPort != _serialPort.PortName)
                _serialPort = new SerialPort(_chosenSerialPort);
            
            return true;
        }

        public async Task<List<string>> GetAvailablePorts()
        {
            return SerialPort.GetPortNames().ToList();
        }
    }
}
