﻿using RsaWebapp.Shared.Services;
using Microsoft.AspNetCore.Http;
using Microsoft.AspNetCore.Mvc;
using RsaWebapp.Shared.Entities;

namespace RsaWebapp.Components.Controllers
{
    [Route("api/[controller]")]
    [ApiController]
    public class UartController : ControllerBase
    {
        private readonly IUartService _uartService;
        public UartController(IUartService uartService)
        {
            _uartService = uartService;
        }

        [HttpGet("port/{port}")]
        public async Task<ActionResult<bool>> GetUartStatus(string port)
        {
            var uartStatus = await _uartService.GetUartStatus(port);
            return Ok(uartStatus);
        }
        [HttpGet("ports")]
        public async Task<ActionResult<List<string>>> GetAvailablePorts()
        {
            var availablePorts = await _uartService.GetAvailablePorts();
            return Ok(availablePorts);
        }

    }
}
