﻿using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace RsaWebapp.Migrations
{
    /// <inheritdoc />
    public partial class AddKeysToDbContext : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropForeignKey(
                name: "FK_RsaKeys_Users_UserId",
                table: "RsaKeys");

            migrationBuilder.DropPrimaryKey(
                name: "PK_RsaKeys",
                table: "RsaKeys");

            migrationBuilder.RenameTable(
                name: "RsaKeys",
                newName: "Keys");

            migrationBuilder.RenameIndex(
                name: "IX_RsaKeys_UserId",
                table: "Keys",
                newName: "IX_Keys_UserId");

            migrationBuilder.AddPrimaryKey(
                name: "PK_Keys",
                table: "Keys",
                column: "Id");

            migrationBuilder.AddForeignKey(
                name: "FK_Keys_Users_UserId",
                table: "Keys",
                column: "UserId",
                principalTable: "Users",
                principalColumn: "Id",
                onDelete: ReferentialAction.Cascade);
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropForeignKey(
                name: "FK_Keys_Users_UserId",
                table: "Keys");

            migrationBuilder.DropPrimaryKey(
                name: "PK_Keys",
                table: "Keys");

            migrationBuilder.RenameTable(
                name: "Keys",
                newName: "RsaKeys");

            migrationBuilder.RenameIndex(
                name: "IX_Keys_UserId",
                table: "RsaKeys",
                newName: "IX_RsaKeys_UserId");

            migrationBuilder.AddPrimaryKey(
                name: "PK_RsaKeys",
                table: "RsaKeys",
                column: "Id");

            migrationBuilder.AddForeignKey(
                name: "FK_RsaKeys_Users_UserId",
                table: "RsaKeys",
                column: "UserId",
                principalTable: "Users",
                principalColumn: "Id",
                onDelete: ReferentialAction.Cascade);
        }
    }
}
